summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/nfsd
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/nfsd')
-rwxr-xr-xetc/rc.d/nfsd51
1 files changed, 18 insertions, 33 deletions
diff --git a/etc/rc.d/nfsd b/etc/rc.d/nfsd
index e067ad1..8c67308 100755
--- a/etc/rc.d/nfsd
+++ b/etc/rc.d/nfsd
@@ -19,40 +19,25 @@ sig_stop="USR1"
nfsd_precmd()
{
- if checkyesno oldnfs_server_enable; then
- rc_flags="-o ${nfs_server_flags}"
-
- # Load the module now, so that the vfs.nfsrv sysctl
- # oids are available.
- load_kld nfsserver
-
- if checkyesno nfs_reserved_port_only; then
- echo 'NFS on reserved port only=YES'
- sysctl vfs.nfsrv.nfs_privport=1 > /dev/null
- else
- sysctl vfs.nfsrv.nfs_privport=0 > /dev/null
- fi
+ rc_flags="${nfs_server_flags}"
+
+ # Load the modules now, so that the vfs.nfsd sysctl
+ # oids are available.
+ load_kld nfsd
+
+ if checkyesno nfs_reserved_port_only; then
+ echo 'NFS on reserved port only=YES'
+ sysctl vfs.nfsd.nfs_privport=1 > /dev/null
+ else
+ sysctl vfs.nfsd.nfs_privport=0 > /dev/null
+ fi
+
+ if checkyesno nfsv4_server_enable; then
+ sysctl vfs.nfsd.server_max_nfsvers=4 > /dev/null
+ force_depend nfsuserd || err 1 "Cannot run nfsuserd"
else
- rc_flags="${nfs_server_flags}"
-
- # Load the modules now, so that the vfs.nfsd sysctl
- # oids are available.
- load_kld nfsd
-
- if checkyesno nfs_reserved_port_only; then
- echo 'NFS on reserved port only=YES'
- sysctl vfs.nfsd.nfs_privport=1 > /dev/null
- else
- sysctl vfs.nfsd.nfs_privport=0 > /dev/null
- fi
-
- if checkyesno nfsv4_server_enable; then
- sysctl vfs.nfsd.server_max_nfsvers=4 > /dev/null
- force_depend nfsuserd || err 1 "Cannot run nfsuserd"
- else
- echo 'NFSv4 is disabled'
- sysctl vfs.nfsd.server_max_nfsvers=3 > /dev/null
- fi
+ echo 'NFSv4 is disabled'
+ sysctl vfs.nfsd.server_max_nfsvers=3 > /dev/null
fi
force_depend rpcbind || return 1
OpenPOWER on IntegriCloud